ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Guntis Ozols <gunt...@latnet.lv>
Subject Re: Retry task available in svn head
Date Sat, 19 May 2007 08:28:17 GMT
+            } catch (Exception e) {
+                if (i<retryCount) {
+                    log("Attempt ["+i+"] error occured, retrying...", e,
Project.MSG_INFO);
+                } else {
+                    throw new BuildException("Task
["+nestedTask.getTaskName()+"] failed after ["+retryCount+"] attempts, giving
up");
+                }
+            }

I do not know very much about ant exception handling in general.
So it seems to me that e is lost in some cases and I think it is not a good
idea.

Guntis


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message